The death of Selenium?

I’m trying to be hyperbolic today.

So I’ve been spinning my wheels trying to get Firefox 3 to work with Selenium.  But why not use Selenium with IE or a custom browser or Firefox with a custom profile?

Well, because Selenium doesn’t work with IE8.  Although IE8 does allow you permanently add self-signed certs.  It appears to have a javascript error based on the popup blocker:

http://clearspace.openqa.org/message/68291

http://clearspace.openqa.org/message/69194

And Selenium doesn’t work with *custom.  Not Selenium 1.0.1, not on Vista.  Sadly, there’s nothing in the trace about what’s going on.

Granted, it’s an open source project, and jhuggins is sick of working on it, and nobody has stepped up.  But things like popup blockers and ssl-cert blockers are a real issue.  Where there’s a will, there’s a way.  But the way might have to be to use COM.  Which means WATI*.

It looks like the IE8 issue is because Vista needs you to run as adminstrator.

http://clearspace.openqa.org/thread/19335

Advertisements

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s